var Grs15000_ExportacaoNfFaturamentoSap_Service = function() {
    
    this.validaStatusNf = function (notas){
        var notasImportdas      = true;
        
        notas.forEach(function (nota) {
            if (nota.IMPORT === 'X') 
                notasImportdas = false;
        });
        
        return notasImportdas;
    };
    
    this.preparaRow = function (row){
        var ignoredKeys = ["__rightActions", "__leftActions", "_children", "_parent", "__groupHeaders", "__index", "__isSelected", "__notSelectable", "$$hashKey"];  
        // Verifica se é um array de rows;
        if( Array.isArray(row) ){
            var rows =[];
            row.forEach(function(linhaSelecionada) {
                rows.push( Util.clone(linhaSelecionada, ignoredKeys) );
            });
            return rows;
        }else{
            return Util.clone(row, ignoredKeys);    
        }
        
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register("Grs15000_ExportacaoNfFaturamentoSap_Service", Grs15000_ExportacaoNfFaturamentoSap_Service);
});