var Dfs51000_InutilizacaoNotaFiscalEletronica_Service = function(Dfs51000_InutilizacaoNotaFiscalEletronica_Repository,restEngine, templateManager, Dfs49000_TransmissaoNfe_Repositories) {

    this.confirmarInutilizacao = function(rows) {
        return this.getDataSourceConfigTransmissao().then(function(config){
            return Dfs51000_InutilizacaoNotaFiscalEletronica_Repository.inutilizarNF(rows, config);
        });
    };

    this.confirmarAgendamento = function(row) {
        return this.getDataSourceConfigTransmissao().then(function(config){
            return Dfs51000_InutilizacaoNotaFiscalEletronica_Repository.confirmarAgendamento(row, config);
        });
    };

    this.buscaAgendamento = function(row,config) {
        var filtro = [];
        var empresa = {
            "name": "P_CDEMPRESA",
            "operator":"=",
            "value":row.CDEMPRESA
        };
        var cnpj = {
            "name": "P_NRCNPJINSESTNFE",
            "operator":"=",
            "value":row.NRINSJURIEST
        };
        var serie = {
            "name": "P_CDSERNFE",
            "operator":"=",
            "value":row.CDSERIENFE
        };
        var ambiente = {
            "name": "P_IDTPAMBIENTENFE",
            "operator":"=",
            "value":config.tpAmb
        };
        filtro.push(empresa);
        filtro.push(cnpj);
        filtro.push(serie);
        filtro.push(ambiente);
        return Dfs51000_InutilizacaoNotaFiscalEletronica_Repository.buscaAgendamento(filtro);
    };

    this.aplicaJustificativa = function(justificativa, widgets,filtro){
        var inscricaoEstadual = filtro.FILTER_ROW.CDINSCESTA;
        var inscricaoMunicipal= filtro.FILTER_ROW.CDINSCMUNI;
        widgets.forEach(function(widget) {
            widget.JUSTIFICATIVA = justificativa;
            widget.CDINSCESTA = inscricaoEstadual;
            widget.CDINSCMUNI = inscricaoMunicipal;
        });
    };

    this.getDataSourceConfigTransmissao = function() {
        return Dfs49000_TransmissaoNfe_Repositories.montaConfigTransmissao(templateManager.container.getWidget('gridNotasFiscais').appliedFilter.FILTER_ROW).then(function(transmissao){
            return transmissao[0].config;
        });
    };

};

Configuration(function(ContextRegister) {
    ContextRegister.register("Dfs51000_InutilizacaoNotaFiscalEletronica_Service", Dfs51000_InutilizacaoNotaFiscalEletronica_Service);
});